Page MenuHomeFreeBSD

Add set pipefail in most framework scripts.
ClosedPublic

Authored by mat on Oct 29 2020, 3:00 PM.
Tags
None
Referenced Files
F84155635: D27007.diff
Mon, May 20, 2:57 AM
Unknown Object (File)
Fri, May 17, 11:44 AM
Unknown Object (File)
Fri, May 10, 4:35 AM
Unknown Object (File)
Fri, Apr 26, 6:13 AM
Unknown Object (File)
Fri, Apr 26, 4:34 AM
Unknown Object (File)
Thu, Apr 25, 6:00 AM
Unknown Object (File)
Wed, Apr 24, 7:25 PM
Unknown Object (File)
Tue, Apr 23, 9:36 PM
Subscribers
None

Details

Summary

set pipefail changes the pipeline return status from being the return
status of the last command to the last non 0 exit status of any command
in the pipeline. This is needed to make sure all the commands in a
pipeline did actually return a non 0 status and not only the last one.

Diff Detail

Lint
No Lint Coverage
Unit
No Test Coverage
Build Status
Buildable 34561
Build 31655: arc lint + arc unit

Event Timeline

mat requested review of this revision.Oct 29 2020, 3:00 PM
mat created this revision.
This revision is now accepted and ready to land.Oct 29 2020, 3:07 PM
  • fixup! Add set pipefail in most framework scripts.
This revision now requires review to proceed.Nov 2 2020, 8:31 AM
  • Ignore grep return value.
This revision was not accepted when it landed; it landed in state Needs Review.Nov 11 2020, 1:30 PM
This revision was automatically updated to reflect the committed changes.